# Get Shipping Methods GET https://api.shipbob.com/2026-01/shipping-method Retrieves all available shipping methods configured for your merchant account. Reference: https://developer.shipbob.com/api/orders/get-shipping-methods ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2026-01 version: 1.0.0 paths: /2026-01/shipping-method: get: operationId: get-shipping-methods summary: Get Shipping Methods description: >- Retrieves all available shipping methods configured for your merchant account. tags: - subpackage_orders parameters: - name: Page in: query description: Page of orders to get required: false schema: type: integer - name: Limit in: query description: Amount of records per page to request required: false schema: type: integer - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token or OAuth2 required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Orders.ShipMethodDetailViewModelArray' '400': description: Bad Request content: application/json: schema: $ref: >- #/components/schemas/Orders.Get.Api.Shippingmethod.Bad.Request.Object '401': description: No access right at this time content: application/json: schema: description: Any type '403': description: No access content: application/json: schema: description: Any type '422': description: Client Error content: application/json: schema: $ref: >- #/components/schemas/Orders.Get.Api.Shippingmethod.Unprocessable.Entity.Object servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Orders.ServiceLevelDetailViewModel: type: object properties: id: type: integer description: Unique id for the service level name: type: - string - 'null' description: The name or title of the service level title: Orders.ServiceLevelDetailViewModel Orders.ShipMethodDetailViewModel: type: object properties: active: type: boolean description: Indicates if the shipping method is active default: type: boolean description: Indicates the shipping method is a ShipBob default shipping method. id: type: integer description: Unique id for shipping method. name: type: - string - 'null' description: >- Name of the ship method as selected by the merchant and saved in ShipBob’s database (i.e. “ground”). Corresponds to the shipping_method field in the Orders API. service_level: $ref: '#/components/schemas/Orders.ServiceLevelDetailViewModel' title: Orders.ShipMethodDetailViewModel Orders.ShipMethodDetailViewModelArray: type: array items: $ref: '#/components/schemas/Orders.ShipMethodDetailViewModel' title: Orders.ShipMethodDetailViewModelArray Orders.Get.Api.Shippingmethod.Bad.Request.Object: type: object additionalProperties: type: array items: type: string title: Orders.Get.Api.Shippingmethod.Bad.Request.Object Orders.Get.Api.Shippingmethod.Unprocessable.Entity.Object: type: object additionalProperties: type: array items: type: string title: Orders.Get.Api.Shippingmethod.Unprocessable.Entity.Object securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token or OAuth2 ``` ## SDK Code Examples ```python Orders_getShippingMethods_example import requests url = "https://api.shipbob.com/2026-01/shipping-method" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Orders_getShippingMethods_example const url = 'https://api.shipbob.com/2026-01/shipping-method'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Orders_getShippingMethods_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-01/shipping-method" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Orders_getShippingMethods_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-01/shipping-method") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Orders_getShippingMethods_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-01/shipping-method") .header("Authorization", "Bearer ") .asString(); ``` ```php Orders_getShippingMethods_example request('GET', 'https://api.shipbob.com/2026-01/shipping-method', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Orders_getShippingMethods_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-01/shipping-method"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Orders_getShippingMethods_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/shipping-method")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```